##/usr/bin/python
# -*- coding: utf-8 -*-
#
# Copyright (C) Big-Cat Software Association, 2007.
#
# GILDE project.
# (Graphical Interfaces to Learn Debian Easily)
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version. Please read the COPYING file.
#

import sys

from qt import *


from time import sleep

from dhcp_ui import Dhcp_Ui
from myprocess import *


class DhcpMain(Dhcp_Ui):

    def __init__(self):
        Dhcp_Ui.__init__(self)

        self.interface=sys.argv[1]
        self.dhcpclient_cmd="dhclient"

        self.DhcpClient()

    def DhcpClient(self):
#        tup = []
#        tup.append(self.dhcpclient_cmd)
#        tup.append(self.interface)
        self.currentprocess = MyProcess(self.textEdit1, "/", (self.dhcpclient_cmd, self.interface), "", "normal")
#        self.currentprocess = MyProcess(self.textEdit1, "/", tup, "", "normal")
        self.currentprocess.thread.process.connect(self.currentprocess.thread.process, SIGNAL("processExited()"), self.processExited)


    def cancelProcess(self):
        self.currentprocess.cancelProcess()


    def processExited(self):
        print "dhcp exited..."
        try:
            self.cancelProcess()
        except:
            pass
        sleep(5)
        self.close()

    def quitSlot(self):
        try:
            self.cancelProcess()
        except:
            pass
        self.close()


def main(args):
    qapptitle=['Wireless Manager Pro 1.0']
    print args
    app=QApplication(qapptitle)
    win=DhcpMain()
#    win.setMinimumSize(QSize(600,600))
    win.show()
    app.connect(app, SIGNAL("lastWindowClosed()"), app , SLOT("quit()"))
    app.exec_loop()

if __name__=="__main__":
    main(sys.argv)
